org.mariadb.jdbc.internal.packet

## Class ComStmtExecute

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.ComStmtExecute

All Implemented Interfaces:
  InterfaceSendPacket

    public class ComStmtExecute
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`ComStmtExecute(int statementId, ParameterHolder[] parameters, int parameterCount, MariaDbType[] parameterTypeHeader)` Initialize parameters.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `send(OutputStream os)` Send a prepare statement binary stream.
`static void` `writeCmd(int statementId, ParameterHolder[] parameters, int parameterCount, MariaDbType[] parameterTypeHeader, PacketOutputStream pos)` Write COM_STMT_EXECUTE sub-command to output buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComStmtExecute

    public ComStmtExecute(int statementId,
                          ParameterHolder[] parameters,
                          int parameterCount,
                          MariaDbType[] parameterTypeHeader)

Initialize parameters.

Parameters:
  `statementId` - prepareResult object received after preparation.
  `parameters` - parameters
  `parameterCount` - parameters number
  `parameterTypeHeader` - parameters header

### Method Detail

#### send

    public void send(OutputStream os)
              throws IOException

Send a prepare statement binary stream.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database socket
Throws:
  `IOException` - if a connection error occur

#### writeCmd

    public static void writeCmd(int statementId,
                                ParameterHolder[] parameters,
                                int parameterCount,
                                MariaDbType[] parameterTypeHeader,
                                PacketOutputStream pos)
                         throws IOException

Write COM_STMT_EXECUTE sub-command to output buffer.

Parameters:
  `statementId` - prepareResult object received after preparation.
  `parameters` - parameters
  `parameterCount` - parameters number
  `parameterTypeHeader` - parameters header1
  `pos` - outputStream
Throws:
  `IOException` - if a connection error occur